Bug 212564 - Update to 0.8.2.
Update to 0.8.2.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: seahorse (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-27 10:16 EDT by Brian Pepple
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 17:12:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec file patch (6.04 KB, patch)
2006-11-22 00:06 EST, Brian Pepple
no flags Details | Diff

  None (edit)
Description Brian Pepple 2006-10-27 10:16:53 EDT
Description of problem: Version 0.8.2. is available for Seahorse which fixes the
following issues:

* Fix problems with seahorse-agent leaving temp directories in ~/.gnome2/
* Make keyid column sortable
* Don't display expire date for remote keys.
* Make background of tray icon transparent.
* Ignore key server URIs with unsupported schema
* Prompt for a signer when signing a key.
* Several crasher and smaller fixes.

http://ftp.gnome.org/pub/GNOME/sources/seahorse/0.8/seahorse-0.8.2.tar.bz2
Comment 1 Mark Femal 2006-11-04 12:08:24 EST
The default mime association also needs to be updated.  With gnupg 1.4.5-4 the
default file extension changed to ".pgp" from ".gpg".  However, with seahorse
0.8.1 (full current update to FC6) there is no association for that mime type so
you have to manually modify the fedora-seahorse-pgp-encrypted.desktop or add a
new file to get the menu options via nautilus.  Easy fix is to add:

MimeType=application/pgp;

To the existing mime type of application/pgp-encrypted so then you can easily
right click and decrypt.

thanks
Comment 2 Mark Femal 2006-11-04 12:23:08 EST
Sorry, the default file extension change started in seahorse 0.7.7 not gnupg ->
so right click and then using the encrypt option puts ".pgp" into the file name
from nautilus.  However, you either must rename to ".gpg" or do the suggested
change to  easily right click and get an easy decrypt option via nautilus.
Comment 3 Brian Pepple 2006-11-22 00:06:25 EST
Created attachment 141871 [details]
Spec file patch

Seth, here's a patch to update the seahorse spec file to 0.8.2.  It also does
some cleanup of the scriptlets and some other issues.
Comment 4 Seth Vidal 2006-11-27 13:14:38 EST
Hi folks,
 Sorry for the delay on getting this done. It'll be in extras before the end of
the week.
Comment 5 Seth Vidal 2006-11-27 17:12:50 EST
it's in the buildsign tree now. I'll close this bug for the moment. Brian, thank
you.
Comment 6 Christian Nolte 2007-02-15 04:19:18 EST
Regarding the mime-type mentioned in Comment #1: It would be nice to add
MimeType=application/pgp; to the desktop-file so that .pgp *and* .gpg are
supported. The current situation is not very user friendly.

Note You need to log in before you can comment on or make changes to this bug.